%define anolis_release 1
%define debug_package %{nil}
%global MAJOR_VERSION 0

Name:       udma
Version:    0.1.1
Release:    %{anolis_release}%{?dist}
Summary:    Memory management for Userspace DMA
License:    GPLv2
URL:        https://gitee.com/src-anolis-sig/%{name}

Source0:    https://gitee.com/src-anolis-sig/udma/tree/a8/%{name}-%{version}.tar.gz

BuildRequires: gcc gcc-c++ cmake make
Requires: kmod-%{name}
ExclusiveArch: x86_64

%description
UDMA is a memory management tool for Userspace DMA.

%package    devel
Summary:    Development tools of UDMA
License:    GPLv2
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the components to develop based on UDMA.

%prep
%autosetup -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_includedir}/%{name}
mkdir -p %{buildroot}/%{_libdir}


/usr/bin/install -D -m 644 x86_64/%{_includedir}/%{name}/udma.h %{buildroot}/%{_includedir}/%{name}
/usr/bin/install -D -m 755 x86_64/%{_libdir}/libudma.so.%{version} %{buildroot}/%{_libdir}/

ln -sf libudma.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libudma.so.%{MAJOR_VERSION}
ln -sf libudma.so.%{MAJOR_VERSION} $RPM_BUILD_ROOT%{_libdir}/libudma.so

%files
%{_libdir}/*.so.*
%license COPYING
%doc udma-End-User-Agreement.docx

%files devel
%dir %{_includedir}/udma
%{_includedir}/udma/*.h
%{_libdir}/*.so

%changelog
* Tue Dec 06 2023 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 0.1.1-1
- Update to version 0.1.1

* Mon Aug 21 2023 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 0.1.0-1
- Init package
